#!/bin/sh

if [ "$1" == '-h' -o "$2" == '--help' ]; then
  echo 'Usage: set-is-simulated.sh (--yes | --no) [PV_PREFIX DEVICE_NAME]'
  echo 'Options:'
  echo '  -y, --yes  Put driver into simulated mode'
  echo '  -n, --no   Put driver into normal mode'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "sim17bm:")'
  echo '  DEVICE_NAME  Name of auto-fill device (default: "ilm201_1")'
  echo 'Example: control.sh'
  echo 'Example: control.sh sim17bm: ilm201_1'
  exit 0
fi

isSimulated=''
if [ "$1" == '-y' -o "$1" == '--yes' ]; then
  isSimulated=Yes
elif [ "$1" == '-n' -o "$1" == '--no' ]; then
  isSimulated=No
else
  echo 'Error: expected "--yes" or "--no" command line option' 1>&2
  exit 1
fi

pvPrefix=sim17bm:
if [ "$2" != '' ]; then pvPrefix="$2"; fi
deviceName=ilm201_1
if [ "$3" != '' ]; then deviceName="$3"; fi
 
exec caput "${pvPrefix}${deviceName}:IsSimulated" "$isSimulated"
